• Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

Java 1.4 for SCJD project

 
Thomas Fly
Ranch Hand
Posts: 164
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
I've seen a few posts indicating that 1.4 shouldn't be used for your project, but it's certainly now a production release, and therefore meets the stated requirements. Has anybody (recently) been failed for using 1.4?
It shouldn't be a big pain for me to convert, but, as one example, I've used java.util.regex (I wanted to use jFormattedTextField as well, but the documentation is at present rather sketchy), and so converting certainly isn't as automatic as recompiling...
 
Mark Spritzler
ranger
Sheriff
Posts: 17278
6
IntelliJ IDE Mac Spring
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
regex is a good example of why you can't use 1.4.
Their grading scale is based on certain solutions to the problems of the assignment, since this assignment was created before we got regular expressions, it is not in their grading charts, so therefore not legal.
There is currently a Beta going on that will require you to use SDK 1.4 but right now for the current assignment they have already e-mailed others telling them not to use 1.4
Mark
 
Anonymous
Ranch Hand
Posts: 18944
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi :-)
I can understand why I shouldn't use java.util.regex.
I have another question: I would like use package java.util.logging functionality. Before 1.4 I had to use i.e. Log4J. Should I add log4j jars to my classpath and assignment or I can use 1.4 only in logging extension?
Thx and regards
Kinga
 
Mark Spritzler
ranger
Sheriff
Posts: 17278
6
IntelliJ IDE Mac Spring
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Kinga,
You can use logging for your testing purposes only. You cannot submit a project that uses a third party tool.
So when you submit your project, I'd remove all the lines of code that use logging, and also the import statements in that area.
Mark
 
Sri Addanki
Ranch Hand
Posts: 195
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hey Mark,
what do u mean by saying ".......they have already e-mailed others telling them not to use 1.4" ?
I'm using j2sdk1.4.1, on windows 2k,
is it ok to use this?
thanks,
sri
 
Max Habibi
town drunk
( and author)
Sheriff
Posts: 4118
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
I think this issue has been fully address in this thread.
All best,
M, author
The Sun Certified Java Developer Exam with J2SE 1.4
 
Sri Addanki
Ranch Hand
Posts: 195
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
I understand its fine to use j2sdk1.4.1
Thanks
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic